#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;
long long f(vector<long long> d, vector<long long> p, long long k){
	long long sum = 0;
	for(int i=0;i<d.size();i++){
		if(d[i] <= k){
			sum += p[i];
		} else{
			break;
		}
	}
	return sum;
}
int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
	cerr.tie(nullptr);
	long long n,q;
	cin>>n>>q;
	vector<long long> d(n);
	vector<long long> p(n);
	vector<long long> k(q);
	for(int i=0;i<n;i++){
		cin>>d[i]>>p[i];
	}
	for(int i=0;i<q;i++){
		cin>>k[i];
	}
	vector<long long> rez(q, 0);
	for(int i=0;i<q;i++){
		rez[i] = f(d,p,k[i]);
	}
	for(int i=0;i<q;i++){
		cout<<rez[i]<<endl;
	}
	
	return 0;
}